阿狸的祈祷
阿狸的祈祷
  • 发布:2022-04-21 11:09
  • 更新:2022-04-24 11:32
  • 阅读:296

hbuilderx 升级至 3.4.6 后报 First argument must be a string, Buffer, ArrayBuffer, Array,

分类:uni-app

嵌入腾讯的音视频,im功能,版本3.4.6 以前均正常
const generator = new LibGenerateTestUserSig(SDKAPPID, SECRETKEY, EXPIRETIME);
const userSig = generator.genTestUserSig(userID);
其中generator.genTestUserSig 有个_函数,ArrayBuffer行出错
更新至3.4.6 之后报错
First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.

这到底是uni-app 问题还是那个插件js问题,看不懂

2022-04-21 11:09 负责人:无 分享
已邀请:
DCloud_UNI_GSQ

DCloud_UNI_GSQ

vue2还是vue3?vue还是nvue?有没有简单的示例,提供一下

  • 阿狸的祈祷 (作者)

    代码 就是一个js,在项目vue2,在nvue 页面引用

    import LibGenerateTestUserSig from '@/utils/lib-generate-test-usersig.min.js';


    const generator = new LibGenerateTestUserSig(SDKAPPID, SECRETKEY, EXPIRETIME);

    const userSig = generator.genTestUserSig(userID);


    然后就会报错,

    实例js,在项目vue2,在nvue 页面引用,我放在了下面一条评论的附件里面,直接引用,不需要其他的东西

    2022-04-21 11:44

  • 阿狸的祈祷 (作者)

    其中EXPIRETIME = 604800 其他均是字符串

    2022-04-21 11:46

  • DCloud_UNI_GSQ

    回复 阿狸的祈祷: 好的

    2022-04-21 11:47

阿狸的祈祷

阿狸的祈祷 (作者)

代码 就是一个js,在项目vue2,在nvue 页面引用
import LibGenerateTestUserSig from '@/utils/lib-generate-test-usersig.min.js';

const generator = new LibGenerateTestUserSig(SDKAPPID, SECRETKEY, EXPIRETIME);
const userSig = generator.genTestUserSig(userID);

然后就会报错

DCloud_UNI_GSQ

DCloud_UNI_GSQ

问题确认,已加分,即将修复

DCloud_UNI_GSQ

DCloud_UNI_GSQ

HBuilderX 3.4.7+ 已修复

要回复问题请先登录注册